[Solved] Java Runtime Environment problems

Issues with installing under all versions of MS Windows
Post Reply
ptoye
Posts: 225
Joined: Mon Apr 21, 2008 11:07 am
Location: Reading, England
Contact:

[Solved] Java Runtime Environment problems

Post by ptoye »

Having found that OO only works with a 32-bit JRE I've installed it, but OO says that neither C:\Program Files (x86)\Java\jre7 nor C:\Program Files (x86)\Java\jre7\bin contain a valid JRE. But as far as I can see they're OK, and going to the bin directory in a console session and doing a "java -version" certainly shows a 32-bit JRE.

Any ideas how to get OO to work again? Quickly?


Crossposted to
http://www.oooforum.org/forum/viewtopic.phtml?t=167904

RoryOF, Moderator
Last edited by ptoye on Mon Jul 09, 2012 1:04 pm, edited 1 time in total.
Peter
OO 4.1.1 on MS Windows 7 64-bit
User avatar
RoryOF
Moderator
Posts: 33475
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Java Runtime Environment problems

Post by RoryOF »

/Tools/Options/OpenOffice.org/Java and check the box for your detected Java 6. Otherwise you will have to enter the path to it, which won't be a Jre7 path.
Apache OpenOffice 4.1.12 on Xubuntu 20.04.4 and very infrequently on Win2K/XP
ptoye
Posts: 225
Joined: Mon Apr 21, 2008 11:07 am
Location: Reading, England
Contact:

Re: Java Runtime Environment problems

Post by ptoye »

Thanks for the amazingly fast answer.

I don't have a JRE6 - I deleted it because it's out of date. Doesn't OO admit the existence of Version 7?
Peter
OO 4.1.1 on MS Windows 7 64-bit
User avatar
RoryOF
Moderator
Posts: 33475
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Java Runtime Environment problems

Post by RoryOF »

Here we go again! Has no one ever heard of a Forum search?

The authors of Java 7 changed some of the entry points, with the result that some Java 6 applications fail. One of these happens to be OpenOffice. Under Windows one must install a 32 bit Java (because OpenOffice is a 32 bit application) and because of the changes in Java 7, this must be Java 6. A 32 bit Java 6 can be downloaded from the second link in this posting
http://user.services.openoffice.org/en/ ... 46#p240389
Apache OpenOffice 4.1.12 on Xubuntu 20.04.4 and very infrequently on Win2K/XP
ptoye
Posts: 225
Joined: Mon Apr 21, 2008 11:07 am
Location: Reading, England
Contact:

Re: Java Runtime Environment problems

Post by ptoye »

Thanks Rory. Isn't it time that OO got itself up to date?
Peter
OO 4.1.1 on MS Windows 7 64-bit
User avatar
RoryOF
Moderator
Posts: 33475
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Java Runtime Environment problems

Post by RoryOF »

It's not OpenOffice's fault but that of Java developers changing established entry points.
Apache OpenOffice 4.1.12 on Xubuntu 20.04.4 and very infrequently on Win2K/XP
ptoye
Posts: 225
Joined: Mon Apr 21, 2008 11:07 am
Location: Reading, England
Contact:

Re: Java Runtime Environment problems

Post by ptoye »

100% agreed, but what can OO do but catch up? I can't agree that the Java developers were right in changing things, but they have the whip hand. See Microsoft for similar behaviour.
Peter
OO 4.1.1 on MS Windows 7 64-bit
Bill
Volunteer
Posts: 8490
Joined: Sat Nov 24, 2007 6:48 am

Re: Java Runtime Environment problems

Post by Bill »

Java 7 update 5 works on 32-bit Vista. The problem is on 64-bit Windows. It is a release blocker for AOO 3.4.1.

Bug 119525 -AOo doesn't work with Java 1.7 on Windows
ptoye
Posts: 225
Joined: Mon Apr 21, 2008 11:07 am
Location: Reading, England
Contact:

Re: Java Runtime Environment problems

Post by ptoye »

Ah - I've got 64-bit Windows. And (now) 32-bit Java 6. And OO is now working.

Thanks all.
Peter
OO 4.1.1 on MS Windows 7 64-bit
PGAGA
Volunteer
Posts: 481
Joined: Sun Dec 07, 2008 10:54 pm

Re: Java Runtime Environment problems

Post by PGAGA »

Tuesday, July 10, 2012
Bill wrote:Java 7 update 5 works on 32-bit Vista. The problem is on 64-bit Windows. It is a release blocker for AOO 3.4.1.

Bug 119525 -AOo doesn't work with Java 1.7 on Windows
Hardly a release blocker, since Java 6 is still being maintained.

Phil
OpenOffice.org 3.2.x, StarOffice 5.1, 7, 8 - OS X, WinXP, OS/2
StarOffice 7, 8, Oracle Open Office 3.3.1, LibreOffice 3.x.x - OS X, Ubuntu, WinXP
NeoOffice 2.2.6, 3.1.2, 3.2.x 3.3 - OS X
Apache OpenOffice 3.4.x - WinXP, OS X, OS/2
thomasjk
Volunteer
Posts: 4445
Joined: Tue Dec 25, 2007 4:52 pm
Location: North Carolina

Re: [Solved] Java Runtime Environment problems

Post by thomasjk »

Carlisle wrote:Apparantly mine doesn't contain a valid JRE either. I think my JRE is 64 bit. How can I change it to 32 bit to get it to work?
If you are really running V3.1 of Openoffice you need JRE 1.6 http://www.oracle.com/technetwork/java/ ... 45-oth-JPR. Select the x86 version. The JRE 1.6 version is very old. I suggest you update to AOO version 4.1.2 and JRE 1.8 http://www.oracle.com/technetwork/java/ ... 33155.html. Again select the x86 version.

Edit:
I'm assuming that you have already checked Tools-->Options-->Openoffice-->Java and checked use "Java Runtime Environment" and clicked the radio button next to the JRE in the list presented.
Tom K.
Windows 10 Home version 1803 17134.165
LibreOffice 5.4.7.2
Post Reply